> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete donor card details



## OpenAPI

````yaml delete /admin/donor-credit-card/{donor_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/donor-credit-card/{donor_id}:
    delete:
      tags:
        - Donor
      summary: Delete donor card details
      operationId: 26b08ab7c72f4ced758d1204c23c67ea
      parameters:
        - name: donor_id
          in: path
          description: The id of the donor form
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: Card details deleted successfully
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Credit Card Successfully Deleted.
                type: object
        '404':
          description: No card found
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: No card found
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````